Package: org.grails.web.mapping

## [Java] Class UrlMappingsHolderFactoryBean

- org.grails.web.mapping.UrlMappingsHolderFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, GrailsApplicationAware, PluginManagerAware

      @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
      public class UrlMappingsHolderFactoryBean
      extends java.lang.Object

  Constructs the UrlMappingsHolder from the registered UrlMappings class within a GrailsApplication.

  Authors:
    Graeme Rocher
  Since:
    0.5

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterPropertiesSet()`
    `` | `UrlMappings` | `getObject()`
    `` | `java.lang.Class<UrlMappings>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)` Set the ApplicationContext that this object runs in.
    `` | `void` | `setGrailsApplication(GrailsApplication grailsApplication)`
    `` | `void` | `setPluginManager(GrailsPluginManager pluginManager)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### public UrlMappings getObject()

    - #### public java.lang.Class<UrlMappings> getObjectType()

    - #### public boolean isSingleton()

    - #### public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

      Set the ApplicationContext that this object runs in. Normally this call will be used to initialize the object.

      Invoked after population of normal bean properties but before an init callback such as org.springframework.beans.factory.InitializingBean#afterPropertiesSet() or a custom init-method. Invoked after org.springframework.context.ResourceLoaderAware#setResourceLoader, org.springframework.context.ApplicationEventPublisherAware#setApplicationEventPublisher and org.springframework.context.MessageSourceAware, if applicable.

      throws:
        org.springframework.context.ApplicationContextException in case of context initialization errors
      throws:
        org.springframework.beans.BeansException if thrown by application context methods
      Parameters:
        `applicationContext` - the ApplicationContext object to be used by this object
      See Also:
        org.springframework.beans.factory.BeanInitializationException

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)

    - #### public void setPluginManager(GrailsPluginManager pluginManager)